/**
 *  This package contains schemas (adapted from https://schema.org) which can be used to promote loose-coupling between CodeRAD components.
 */
package com.codename1.rad.schemas;


/**
 *  From https://schema.org/CreativeWork
 *  @author shannah
 */
public interface CreativeWork extends Thing {

	public static final com.codename1.rad.models.Tag about;

	public static final com.codename1.rad.models.Tag abstract_;

	public static final com.codename1.rad.models.Tag accessMode;

	public static final com.codename1.rad.models.Tag accessModeSufficient;

	public static final com.codename1.rad.models.Tag accessibilityAPI;

	public static final com.codename1.rad.models.Tag accessibilityControl;

	public static final com.codename1.rad.models.Tag accessibilityFeature;

	public static final com.codename1.rad.models.Tag accessibilityHazard;

	public static final com.codename1.rad.models.Tag accessibilitySummary;

	public static final com.codename1.rad.models.Tag accountablePerson;

	public static final com.codename1.rad.models.Tag aggregateRating;

	public static final com.codename1.rad.models.Tag alternativeHeadline;

	public static final com.codename1.rad.models.Tag associatedMedia;

	public static final com.codename1.rad.models.Tag audience;

	public static final com.codename1.rad.models.Tag audio;

	public static final com.codename1.rad.models.Tag author;

	public static final com.codename1.rad.models.Tag award;

	public static final com.codename1.rad.models.Tag character;

	public static final com.codename1.rad.models.Tag citation;

	public static final com.codename1.rad.models.Tag comment;

	public static final com.codename1.rad.models.Tag commentCount;

	public static final com.codename1.rad.models.Tag conditionsOfAccess;

	public static final com.codename1.rad.models.Tag contentLocation;

	public static final com.codename1.rad.models.Tag contentRating;

	public static final com.codename1.rad.models.Tag contentReferenceTime;

	public static final com.codename1.rad.models.Tag contributor;

	public static final com.codename1.rad.models.Tag copyrightHolder;

	public static final com.codename1.rad.models.Tag copyrightYear;

	public static final com.codename1.rad.models.Tag correction;

	public static final com.codename1.rad.models.Tag creativeWorkStatus;

	public static final com.codename1.rad.models.Tag creator;

	public static final com.codename1.rad.models.Tag dateCreated;

	public static final com.codename1.rad.models.Tag dateModified;

	public static final com.codename1.rad.models.Tag datePublished;

	public static final com.codename1.rad.models.Tag discussionUrl;

	public static final com.codename1.rad.models.Tag editor;

	public static final com.codename1.rad.models.Tag educationalAlignment;

	public static final com.codename1.rad.models.Tag educationalUse;

	public static final com.codename1.rad.models.Tag encoding;

	public static final com.codename1.rad.models.Tag encodingFormat;

	public static final com.codename1.rad.models.Tag exampleOfWork;

	public static final com.codename1.rad.models.Tag expires;

	public static final com.codename1.rad.models.Tag funder;

	public static final com.codename1.rad.models.Tag genre;

	public static final com.codename1.rad.models.Tag hasPart;

	public static final com.codename1.rad.models.Tag headline;

	public static final com.codename1.rad.models.Tag inLanguage;

	public static final com.codename1.rad.models.Tag interactionStatistic;

	public static final com.codename1.rad.models.Tag interactivityType;

	public static final com.codename1.rad.models.Tag isAccessibleOrFree;

	public static final com.codename1.rad.models.Tag isBasedOn;

	public static final com.codename1.rad.models.Tag isFamilyFriendly;

	public static final com.codename1.rad.models.Tag isPartOf;

	public static final com.codename1.rad.models.Tag keywords;

	public static final com.codename1.rad.models.Tag learningResourceType;

	public static final com.codename1.rad.models.Tag license;

	public static final com.codename1.rad.models.Tag locationCreated;

	public static final com.codename1.rad.models.Tag mainEntity;

	public static final com.codename1.rad.models.Tag maintainer;

	public static final com.codename1.rad.models.Tag material;

	public static final com.codename1.rad.models.Tag materialExtent;

	public static final com.codename1.rad.models.Tag mentions;

	public static final com.codename1.rad.models.Tag offers;

	public static final com.codename1.rad.models.Tag position;

	public static final com.codename1.rad.models.Tag producer;

	public static final com.codename1.rad.models.Tag provider;

	public static final com.codename1.rad.models.Tag publication;

	public static final com.codename1.rad.models.Tag publisher;

	public static final com.codename1.rad.models.Tag publisherImprint;

	public static final com.codename1.rad.models.Tag publishingPrinciples;

	public static final com.codename1.rad.models.Tag recordedAt;

	public static final com.codename1.rad.models.Tag releasedEvent;

	public static final com.codename1.rad.models.Tag review;

	public static final com.codename1.rad.models.Tag schemaVersion;

	public static final com.codename1.rad.models.Tag sdDatePublished;

	public static final com.codename1.rad.models.Tag sdLicense;

	public static final com.codename1.rad.models.Tag sdPublisher;

	public static final com.codename1.rad.models.Tag sourceOrganization;

	public static final com.codename1.rad.models.Tag spatial;

	public static final com.codename1.rad.models.Tag spatialCoverage;

	public static final com.codename1.rad.models.Tag sponsor;

	public static final com.codename1.rad.models.Tag temporal;

	public static final com.codename1.rad.models.Tag temporalCoverage;

	public static final com.codename1.rad.models.Tag text;

	public static final com.codename1.rad.models.Tag timeRequired;

	public static final com.codename1.rad.models.Tag translationOfWork;

	public static final com.codename1.rad.models.Tag translator;

	public static final com.codename1.rad.models.Tag typicalAgeRange;

	public static final com.codename1.rad.models.Tag version;

	public static final com.codename1.rad.models.Tag video;

	public static final com.codename1.rad.models.Tag workExample;

	public static final com.codename1.rad.models.Tag workTranslation;

	public static final com.codename1.rad.models.Tag viewCount;
}
